/o/datamigration/getmyexports

Get all exports created with data migration plugin

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If there no records about exports, you get response: {"result":"You don't have any exports"}
In other way you get list records about your exports. Each record has multiple fields:

  • id: export id. It is created combining App id form apps, which are exported. So if another export is created for same apps - this record is overwritten.
  • step: Step of export process. One of:"exporting", "packing", "validating_files", "sending", "importing"
  • status: Status of this export step(one of those values):
    "progress","finished","failed"
  • progress: Value (0-100). If export is in exporting step, it shows how many % of documents are exported. (Based on count not size)
  • ts: Timestamp of last update
  • reason: If export is failed, there is error message.
  • created:Timestamp, when export process is started
  • stopped:If export process is stopped (via api on pressing button in dashboard)- true, else - false.
  • only_export: True or false. true: data is only exported and not set to any other server false: exported data should be sent to other server.
  • server_address: Server address, where export should be sent to.
  • server_token:Token created on target server, to allow import
  • redirect_traffic: True or false.Redirect traffic after data is exported on other server.
  • aditional_files: True or false. If true - symbolication files are also exported
  • apps: Array of app id's which are being exported
  • app_names: Array of app_names for apps, which are exported
  • userid:User, who is exporting data
  • email:User's email(user, who is exporting data)
  • log: Log name for this export. All logs are saved in countly/logs folder.
  • export_path: Place, where your export is saved. If not different path is set it is in form:
    {Countly path}/plugins/data_migration/export/{export_id}.tar.gz
Query Params
string
required

API_KEY of user, who is global admin

Response

Language
LoadingLoading…
Response
Choose an example:
application/json